# PhpViewResolver Class Reference
[Spring-like webflow tools]

Inheritance diagram for PhpViewResolver:
[legend]

List of all members.

## Public Member Functions

| __construct ($prefix=null, $postfix=null)
| resolveViewName ($viewName)
| viewExists ($viewName)
| getPrefix ()
| setPrefix ($prefix)
| getPostfix ()
| setPostfix ($postfix)

## Static Public Member Functions

static | create ($prefix=null, $postfix=null)

## Private Attributes

| $prefix = null
| $postfix = null

## Detailed Description

Definition at line 15 of file PhpViewResolver.class.php.

## Constructor & Destructor Documentation

PhpViewResolver::__construct | ( | $ | prefix = `null`,
|  | $ | postfix = `null` |
| ) |  |  |

Definition at line 20 of file PhpViewResolver.class.php.

References $postfix, and $prefix.

## Member Function Documentation

static PhpViewResolver::create | ( | $ | prefix = `null`,
|  | $ | postfix = `null` |
| ) |  |  | `[static]`

Returns:
  PhpViewResolver

Definition at line 29 of file PhpViewResolver.class.php.

References $postfix, and $prefix.

PhpViewResolver::getPostfix | ( |  | ) |

Definition at line 66 of file PhpViewResolver.class.php.

PhpViewResolver::getPrefix | ( |  | ) |

Definition at line 51 of file PhpViewResolver.class.php.

PhpViewResolver::resolveViewName | ( | $ | viewName | ) |

Returns:
  SimplePhpView

Implements ViewResolver.

Definition at line 37 of file PhpViewResolver.class.php.

PhpViewResolver::setPostfix | ( | $ | postfix | ) |

Returns:
  PhpViewResolver

Definition at line 74 of file PhpViewResolver.class.php.

References $postfix.

PhpViewResolver::setPrefix | ( | $ | prefix | ) |

Returns:
  PhpViewResolver

Definition at line 59 of file PhpViewResolver.class.php.

References $prefix.

PhpViewResolver::viewExists | ( | $ | viewName | ) |

Definition at line 46 of file PhpViewResolver.class.php.

## Member Data Documentation

PhpViewResolver::$postfix = null`[private]`

Definition at line 18 of file PhpViewResolver.class.php.

Referenced by __construct(), create(), and setPostfix().

PhpViewResolver::$prefix = null`[private]`

Definition at line 17 of file PhpViewResolver.class.php.

Referenced by __construct(), create(), and setPrefix().

The documentation for this class was generated from the following file:

- main/Flow/PhpViewResolver.class.php